<?php

namespace Modules\Sc\Entities;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class ProductHistory extends Model
{
    use HasFactory;
    protected $table = 'sc_product_histories';
    protected $primaryKey = 'transaction_id';
    protected $fillable = [];
    
    protected static function newFactory()
    {
        return \Modules\Sc\Database\factories\ProductHistoryFactory::new();
    }
}
